> For the complete documentation index, see [llms.txt](https://developer.myidentitypass.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.myidentitypass.com/products/data-verification/nigeria/cac-verification/verify-cac.md).

# Basic CAC

{% hint style="info" %}
TEST DATA

rc\_number: 092932

company\_name: TEST COMPANY
{% endhint %}

## Verify CAC

<mark style="color:green;">`POST`</mark> `{{URL}}/api/v2/biometrics/merchant/data/verification/cac`

This endpoint allows you to verify an RC number of a business

#### Query Parameters

| Name                                            | Type   | Description                                            |
| ----------------------------------------------- | ------ | ------------------------------------------------------ |
| rc\_number<mark style="color:red;">\*</mark>    | number | The Regsitration number of the company                 |
| company\_type<mark style="color:red;">\*</mark> | string | <p>BN or RC or IT or LL or LLP. <br>Default  is RC</p> |

#### Headers

| Name                                        | Type   | Description        |
| ------------------------------------------- | ------ | ------------------ |
| x-api-key<mark style="color:red;">\*</mark> | string | \<your secret key> |
| app-id<mark style="color:red;">\*</mark>    | String | \<your app id>     |

{% tabs %}
{% tab title="200 Company details successfully retrieved." %}

```
{
    "status": true,
    "detail": "Verification Successfull",
    "response_code": "00",
    "data": {
        "rc_number": "",
        "company_name": "",
        "email_address": "",
        "branchAddress": "",
        "city": "",
        "address": "",
        "company_status": "",
        "lga": "",
        "date_of_registration": "",
        "state": "",
        "directors": [
            {
                "name": "test A",
                "designation": "Director"
            },
            {
                "name": "test B",
                "designation": "Director"
            },
            {
                "name": "test C",
                "designation": "Secretary"
            },
            {
                "name": "test D",
                "designation": "Shareholder"
            },
            {
                "name": "test E",
                "designation": "Deponent"
            }
        ]
    },
    "verification": {
        "status": "",
        "reference": ""
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/products/data-verification/nigeria/cac-verification/verify-cac.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
